Categories:
  - Games
License: MIT
SourceCode: https://github.com/AEFeinstein/mtg-familiar
IssueTracker: https://github.com/AEFeinstein/mtg-familiar/issues
Changelog: https://github.com/AEFeinstein/mtg-familiar/releases
Donate: https://github.com/AEFeinstein/mtg-familiar/blob/HEAD/README.md#show-support

AutoName: MTG Familiar
Description: |-
    ''MTG Familiar'' is a collection of utilities for the "Magic: The Gathering"
    trading card game, including a searchable offline database of magic cards, life,
    poison & mana counters, a set of virtual dice, card image downloads, deck, trade
    and wishlist management, comprehensive offline rules and judge documents, and a
    timer for competitive play.

    '''Note:''' Card price look-ups fail in the
    [https://f-droid.org/en/packages/com.gelakinetic.mtgfam/ F-Droid APK] due to a
    [https://github.com/AEFeinstein/mtg-familiar/issues/388 missing API key].
    [https://apt.izzysoft.de/fdroid/repo?fingerprint=3BF0D6ABFEAE2F401707B6D966BE743BF0EEE49C2561B9BA39073711F628937A
    IzzyOnDroid] hosts an
    [https://apt.izzysoft.de/fdroid/index/apk/com.gelakinetic.mtgfam APK with the
    API key]. This APK comes from the
    [https://github.com/AEFeinstein/mtg-familiar/releases project's GitHub releases
    page] and is the same APK as on Google Play.

    Switching between APKs from different repositories requires you to uninstall MTG
    Familiar first because the APKs use different digital signatures. To preserve
    your data, export it with the "Save Data to SD" button at the bottom of the menu
    before uninstalling and import it with the "Load Data from SD" after installing.

RepoType: git
Repo: https://github.com/AEFeinstein/mtg-familiar

Builds:
  - versionName: 1.8.1
    versionCode: 15
    commit: '474'
    subdir: MTGFamiliar
    androidupdate:
      - .
      - ../actionbarsherlock

  - versionName: 2.0.4
    versionCode: 20
    commit: Version 2.0.4
    subdir: MTGFamiliar
    prebuild: sed -i '/guava/d' project.properties
    androidupdate:
      - .
      - ../SlidingMenu
      - ../actionbarsherlock
      - ../io

  - versionName: 2.1.1
    versionCode: 22
    commit: Version 2.1.1
    subdir: MTGFamiliar
    prebuild: cp ../actionbarsherlock/libs/android-support-v4.jar ../robospice/libs/

  - versionName: 3.2.8-foss
    versionCode: 37
    commit: v3.2.8
    subdir: mobile
    gradle:
      - foss
    prebuild: sed -i -e '/play-services/d' build.gradle
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.2.9-foss
    versionCode: 38
    commit: v3.2.9
    subdir: mobile
    gradle:
      - foss
    prebuild: sed -i -e '/play-services/d' build.gradle
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.2.10-foss
    versionCode: 39
    commit: v3.2.10
    subdir: mobile
    gradle:
      - foss
    prebuild: sed -i -e '/play-services/d' build.gradle
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.3.0-foss
    versionCode: 40
    commit: v3.3.0
    subdir: mobile
    gradle:
      - foss
    prebuild: sed -i -e '/play-services/d' build.gradle
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.3.1-foss
    versionCode: 41
    commit: v3.3.1
    subdir: mobile
    gradle:
      - foss
    prebuild: sed -i -e '/play-services/d' build.gradle
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.3.3-foss
    versionCode: 43
    commit: v3.3.3
    subdir: mobile
    gradle:
      - foss
    forceversion: true
    prebuild: sed -i -e '/play-services/d' build.gradle
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.3.4-foss
    versionCode: 44
    commit: v3.3.4
    subdir: mobile
    gradle:
      - foss
    forceversion: true
    prebuild: sed -i -e '/play-services/d' build.gradle
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.3.5-foss
    versionCode: 45
    commit: v3.3.5
    subdir: mobile
    gradle:
      - foss
    forceversion: true
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i '/android.tools.build/d' build.gradle
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.3.6-foss
    versionCode: 46
    commit: v3.3.6
    subdir: mobile
    gradle:
      - foss
    forceversion: true
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i '/android.tools.build/d' build.gradle
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.4.0-foss
    versionCode: 47
    commit: v3.4.0
    subdir: mobile
    gradle:
      - foss
    forceversion: true
    prebuild:
      - sed -i -e '/play-services/d' -e '/firebase/d' build.gradle
      - sed -i '/android.tools.build/d' build.gradle
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.4.1-foss
    versionCode: 48
    commit: v3.4.1
    subdir: mobile
    gradle:
      - foss
    forceversion: true
    prebuild:
      - sed -i -e '/play-services/d' -e '/firebase/d' build.gradle
      - sed -i '/android.tools.build/d' build.gradle
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.4.2-foss
    versionCode: 49
    commit: v3.4.2
    subdir: mobile
    gradle:
      - foss
    forceversion: true
    rm:
      - mobile/annotations.jar
    prebuild: sed -i -e '/play-services/d' -e '/firebase/d' build.gradle
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.4.5
    versionCode: 52
    commit: v3.4.5
    subdir: mobile
    gradle:
      - yes
    forceversion: true
    rm:
      - mobile/annotations.jar
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.4.6
    versionCode: 53
    commit: v3.4.6
    subdir: mobile
    gradle:
      - yes
    forceversion: true
    rm:
      - mobile/annotations.jar
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.5.0
    versionCode: 54
    commit: v3.5.0
    subdir: mobile
    gradle:
      - yes
    forceversion: true
    rm:
      - mobile/annotations.jar
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.5.1
    versionCode: 55
    commit: v3.5.1
    subdir: mobile
    gradle:
      - yes
    forceversion: true
    rm:
      - mobile/annotations.jar
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.5.2
    versionCode: 56
    commit: v3.5.2
    subdir: mobile
    gradle:
      - yes
    forceversion: true
    rm:
      - mobile/annotations.jar
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.5.3
    versionCode: 57
    commit: v3.5.3
    subdir: mobile
    gradle:
      - yes
    forceversion: true
    rm:
      - mobile/annotations.jar
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.5.4
    versionCode: 58
    commit: v3.5.4
    subdir: mobile
    gradle:
      - yes
    forceversion: true
    rm:
      - mobile/annotations.jar
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.5.5
    versionCode: 59
    commit: v3.5.5
    subdir: mobile
    gradle:
      - yes
    forceversion: true
    rm:
      - mobile/annotations.jar
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.5.6
    versionCode: 60
    commit: v3.5.6
    subdir: mobile
    gradle:
      - yes
    forceversion: true
    rm:
      - mobile/annotations.jar
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.5.7
    versionCode: 61
    commit: v3.5.7
    subdir: mobile
    gradle:
      - yes
    forceversion: true
    rm:
      - mobile/annotations.jar
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.5.9
    versionCode: 63
    commit: v3.5.9
    subdir: mobile
    gradle:
      - yes
    forceversion: true
    rm:
      - mobile/annotations.jar
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.5.10
    versionCode: 64
    commit: v3.5.10
    subdir: mobile
    gradle:
      - yes
    forceversion: true
    rm:
      - mobile/annotations.jar
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.5.11
    versionCode: 65
    commit: v3.5.11
    subdir: mobile
    gradle:
      - yes
    forceversion: true
    rm:
      - mobile/annotations.jar
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.6.0
    versionCode: 66
    commit: v3.6.0
    subdir: mobile
    gradle:
      - yes
    forceversion: true
    rm:
      - mobile/annotations.jar
    scanignore:
      - mobile/src/main/res/raw/datagz

  - versionName: 3.6.1
    versionCode: 67
    commit: v3.6.1
    subdir: mobile
    gradle:
      - yes
    forceversion: true
    rm:
      - mobile/annotations.jar
    scanignore:
      - mobile/src/main/res/raw/datagz

MaintainerNotes: |-
    Under mobile/src/main/res/raw/datagz is the apps card database.
    Cannot enable AUM because of fdroid/fdroidserver#144.

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 3.6.1
CurrentVersionCode: 67
